import { Component, Input } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
function ProductViewComponent_tr_20_Template(rf, ctx) { if (rf & 1) {
    const _r11 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "tr");
    i0.ɵɵelementStart(1, "td");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "td");
    i0.ɵɵtext(4);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(5, "td");
    i0.ɵɵtext(6);
    i0.ɵɵpipe(7, "currency");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(8, "td");
    i0.ɵɵtext(9);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(10, "td");
    i0.ɵɵelementStart(11, "a", 7);
    i0.ɵɵlistener("click", function ProductViewComponent_tr_20_Template_a_click_11_listener($event) { i0.ɵɵrestoreView(_r11); const product_r9 = ctx.$implicit; const ctx_r10 = i0.ɵɵnextContext(); return ctx_r10.addToCart(product_r9); });
    i0.ɵɵtext(12, "Add");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const product_r9 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(product_r9.productname);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(product_r9.code);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind4(7, 4, product_r9.price, "USD", true, "1.2-2"));
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate(product_r9.available - product_r9.qty);
} }
export class ProductViewComponent {
    constructor() {
        this.productlist = [
            {
                productname: 'JBL Flip 4',
                code: 'cat1-0001',
                price: 18.01,
                cartprice: 0,
                available: 10,
                qty: 0
            }, {
                productname: 'Bose Sound Link',
                code: 'cat1-0010',
                price: 129.05,
                cartprice: 0,
                available: 9,
                qty: 0
            }, {
                productname: 'AB Portable',
                code: 'cat1-0008',
                price: 19.78,
                cartprice: 0,
                available: 11,
                qty: 0
            }, {
                productname: 'AE-9 Portable',
                code: 'cat1-0011',
                price: 299.99,
                cartprice: 0,
                available: 8,
                qty: 0
            }, {
                productname: 'JBL Pulse 3',
                code: 'cat1-0009',
                price: 23.05,
                cartprice: 0,
                available: 10,
                qty: 0
            }
        ];
    }
    ngOnInit() {
    }
    addToCart(product) {
        if (product.qty === product.available) {
            console.log('Product is out of Stock.');
        }
        else {
            product.qty = product.qty + 1;
            const productcartele = document.querySelector('product-cart');
            if (productcartele != null) {
                productcartele['message'] = product;
            }
        }
    }
    set message(message) {
        let productObj = message;
        for (let product of this.productlist) {
            if (product.productname === productObj['productname']) {
                product.qty = productObj['qty'];
                break;
            }
        }
    }
    get message() { return this._message; }
}
ProductViewComponent.ɵfac = function ProductViewComponent_Factory(t) { return new (t || ProductViewComponent)(); };
ProductViewComponent.ɵcmp = i0.ɵɵdefineComponent({ type: ProductViewComponent, selectors: [["app-product-view"]], inputs: { message: "message" }, decls: 21, vars: 2, consts: [[1, "col-sm-7"], [1, "panel", "panel-primary"], [1, "panel-heading"], [1, "panel-body", "fixed-panel"], [1, "table-responsive"], [1, "table"], [4, "ngFor", "ngForOf"], [1, "btn", "btn-primary", 3, "click"]], template: function ProductViewComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtext(0);
        i0.ɵɵelementStart(1, "div", 0);
        i0.ɵɵelementStart(2, "div", 1);
        i0.ɵɵelementStart(3, "div", 2);
        i0.ɵɵtext(4, "Product List");
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(5, "div", 3);
        i0.ɵɵelementStart(6, "div", 4);
        i0.ɵɵelementStart(7, "table", 5);
        i0.ɵɵelementStart(8, "thead");
        i0.ɵɵelementStart(9, "tr");
        i0.ɵɵelementStart(10, "th");
        i0.ɵɵtext(11, "Product");
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(12, "th");
        i0.ɵɵtext(13, "Code");
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(14, "th");
        i0.ɵɵtext(15, "Price");
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(16, "th");
        i0.ɵɵtext(17, "Available");
        i0.ɵɵelementEnd();
        i0.ɵɵelement(18, "th");
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(19, "tbody");
        i0.ɵɵtemplate(20, ProductViewComponent_tr_20_Template, 13, 9, "tr", 6);
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵtextInterpolate1("", ctx._message, " ");
        i0.ɵɵadvance(20);
        i0.ɵɵproperty("ngForOf", ctx.productlist);
    } }, directives: [i1.NgForOf], pipes: [i1.CurrencyPipe], styles: [".fixed-panel[_ngcontent-%COMP%] {\r\n    height: 330px;\r\n   }\r\n.fixed-iframe[_ngcontent-%COMP%] {\r\n    height: 450px;\r\n    width: 350px;\r\n   }"] });
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(ProductViewComponent, [{
        type: Component,
        args: [{
                selector: 'app-product-view',
                templateUrl: './product-view.component.html',
                styleUrls: ['./product-view.component.scss']
            }]
    }], function () { return []; }, { message: [{
            type: Input
        }] }); })();
//# sourceMappingURL=product-view.component.js.map